Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class suspended

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.suspended

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class suspended

extends DefaultInternalAction

Internal action: `.suspended(G, R)`.

Description: checks whether goal G belongs to a suspended intention. R (a String) unifies with the reason for the suspend (waiting action to be performed, .wait, ....). The literal G represents a suspended goal if there is a triggering event `+!G` in any plan within any intention in PI or PA.

Example:

- `.suspended(go(1,3),R)`: true if `go(1,3)` is a suspended goal. `R` unifies with "act" if the reason for being suspended is an action waiting feedback from environment.

See Also:
  `intend`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_intention`, `drop_desire`, `succeed_goal`, `fail_goal`, `current_intention`, `suspend`, `resume`, Serialized Form

Constructor Summary
`suspended()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### suspended

    public suspended()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD